diff --git a/imap/util.c b/imap/util.c
index 6f576c6cab..ef4f333eb5 100644
--- a/imap/util.c
+++ b/imap/util.c
@@ -617,7 +617,6 @@ struct ImapData *imap_new_idata(void)
 {
   struct ImapData *idata = mutt_mem_calloc(1, sizeof(struct ImapData));
 
-  mutt_buffer_init(&idata->cmdbuf);
   idata->cmdslots = ImapPipelineDepth + 2;
   idata->cmds = mutt_mem_calloc(idata->cmdslots, sizeof(*idata->cmds));
   STAILQ_INIT(&idata->flags);
diff --git a/mutt/buffer.c b/mutt/buffer.c
index 594a94b41c..14a1a6c77e 100644
--- a/mutt/buffer.c
+++ b/mutt/buffer.c
@@ -33,7 +33,6 @@
  * | mutt_buffer_addstr()   | Add a string to a Buffer
  * | mutt_buffer_alloc()    | Create a new Buffer
  * | mutt_buffer_from()     | Initialize a Buffer from an existing string
- * | mutt_buffer_init()     | Initialise a new Buffer
  * | mutt_buffer_is_empty() | Is the Buffer empty?
  * | mutt_buffer_printf()   | Format a string into a Buffer
  * | mutt_buffer_reinit()   | Release all memory and reinitialize a Buffer
@@ -88,20 +87,6 @@ void mutt_buffer_reserve(struct Buffer *buf, size_t len)
   }
 }
 
-/**
- * mutt_buffer_init - Initialise a new Buffer
- * @param b Buffer to initialise
- *
- * This must not be called on a Buffer that already contains data.
- */
-void mutt_buffer_init(struct Buffer *buf)
-{
-  if (!buf)
-    return;
-
-  memset(buf, 0, sizeof(struct Buffer));
-}
-
 /**
  * mutt_buffer_reinit - Release all memory and reinitialize a Buffer
  * @param b Buffer to release and reinitialize
@@ -113,7 +98,8 @@ void mutt_buffer_reinit(struct Buffer *buf)
 
   if (buf->data != buf->sso)
     FREE(&buf->data);
-  mutt_buffer_init(buf);
+
+  memset(buf, 0, sizeof(struct Buffer));
 }
 
 /**
@@ -126,7 +112,7 @@ void mutt_buffer_from(struct Buffer *buf, char *seed)
   if (!buf || !seed)
     return;
 
-  mutt_buffer_init(buf);
+  memset(buf, 0, sizeof(struct Buffer));
   mutt_buffer_add(buf, seed, mutt_str_strlen(seed));
 }
 
diff --git a/mutt/buffer.h b/mutt/buffer.h
index 4916fa16de..1adfd75eb1 100644
--- a/mutt/buffer.h
+++ b/mutt/buffer.h
@@ -43,7 +43,6 @@ struct Buffer
 
 struct Buffer *mutt_buffer_alloc(size_t size);
 bool           mutt_buffer_is_empty(const struct Buffer *buf);
-void mutt_buffer_init(struct Buffer *buf);
 void mutt_buffer_reinit(struct Buffer *buf);
 size_t mutt_buffer_add(struct Buffer *buf, const char *s, size_t len);
 size_t mutt_buffer_addch(struct Buffer *buf, char c);
